
/* Test of get_str() */
#include <stdio.h>
#include <stdlib.h>
#include <bios.h>
#include <string.h>

#define INBUFSIZ 70

char inbuf[INBUFSIZ + 1];

void get_str (char *str, int len);

void main (void)
{
	while (1)
	{
         printf ("\nType 'Quit' to quit.\nPrompt > ");
		get_str (inbuf, INBUFSIZ);

		if (stricmp (inbuf, "quit") == 0)
			break;
		printf ("Got : \"%s\"\n", inbuf);
	}
}

/*
	Put a char to the output device.
	Expand to \n to \r\n.
*/
void sys_putchar (char ch)
{
	 putchar (ch);
	if (ch == '\n')
		putchar ('\r');
}

/* 
	Get a character from the input device.
	Use BIOS call so we can detect arrow keys.
*/

int sys_getchar (void)
{
	int ch;

	ch = bioskey (0);	/* Wait an get key */

	if ((ch & 0xFF) != 0)	/* No extended key */
		ch &= 0xff;	/* Use only ASCII part */
	return ch;
}
